Skip to content

Analyze For Deletion.

POST
/api/web/custom/namespaces/system/user_groups/analyze_for_deletion
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/user_groups/analyze_for_deletion \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace_name_identifier": { "object_name": "example", "object_namespace": "example" }, "object_uid": "example" }'

AnalyzeForDeletion checks the references of the object to make sure it is deletable.

Examples of this operation.

Media typeapplication/json

Analyze For Deletion Request.

AnalyzeForDeletionRequest is for the checking whether the object is deletable by going through it’s references in other objects.

object
namespace_name_identifier
object
object_name
ObjectName

Name of the specific object.

string
>= 1 characters <= 1024 characters
object_namespace
ObjectNamespace of the object

Namespace of the specific object.

string
>= 1 characters <= 1024 characters
object_uid
Uid of the object

Exclusive with [namespace_name_identifier] Uid of the specific object.

string
<= 1024 characters
Examplegenerated
{
"namespace_name_identifier": {
"object_name": "example",
"object_namespace": "example"
},
"object_uid": "example"
}

A successful response.

Media typeapplication/json
Analyze For Deletion Response

Response holds the references of the object and also talks about the object is deletable or not.

object
back_referencing_items
BackReferencingItems

BackReferencingItems holds the details of the objects which are referencing the deletion candidate.

object
deletion_analysis
string
default: Unknown
Allowed values: Unknown Deletable Internal ReferencesAutoRemovable ReferencesRemovable ReferencesNonRemovable
referenced_items
ReferencedItems

ReferencedItems holds the details of the objects which are referenced in the deletion candidate.

object
Example
{
"deletion_analysis": "Unknown"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example